
Redmine - Defect #6013

git tab,browsing, very slow -- even after first time

2010-08-02 07:13 - Danny Dulai

Status: Closed Start date: 2010-08-02

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 0.9.3

Description

I just installed Redmine for the first time this weekend, v1.0.0.

Got everything working via fastcgi + lighttpd, and my git repo is on local disk, and it's a bare repo.

The repo is about 1.2gb, about 55k commits:

# time git --bare log --all --pretty=oneline  | wc -l

54779

git  1.31s user 0.67s system 79% cpu 2.484 total

wc   0.02s user 0.45s system 18% cpu 2.483 total

 It took about an hour the first time I hit the page. Subsequent times it takes about 1 minute:

Processing RepositoriesController#show (for 24.90.235.155 at 2010-08-02 01:01:43) [GET]

  Parameters: {"action"=>"show", "id"=>"project1", "controller"=>"repositories"}

Rendering template within layouts/base

Rendering repositories/show

Completed in 56466ms (View: 534, DB: 54999) | 200 OK [https://XXX/projects/project1/repository]

 I've tried the patch at #4773 (all the above is running with that patch).

I also tried a smaller, 87 commit repo, and it runs at an acceptable speed.

The number of files is large on the big repo as well, compared to the 87 commit repo. I an get you exact #s if you are interested.

Any ideas?

Related issues:

Related to Redmine - Defect #7146: Git adapter lost commits before 7 days fro... Closed 2010-12-21

Related to Redmine - Defect #4549: Repository: git / view all revision fails ... Closed 2010-01-11

Related to Redmine - Defect #1435: slow display of 'repository' tab for huge ... Closed 2008-06-12

Related to Redmine - Feature #6092: Truncate Git revision labels in Activity ... Closed 2010-08-09

Related to Redmine - Defect #7047: Git adapter very slow when a commit modifi... New 2010-12-04

Related to Redmine - Feature #6566: Convert the git adapter to rugged New 2010-10-04

Related to Redmine - Defect #8857: Git: Too long in fetching repositories aft... Closed 2011-07-20

Related to Redmine - Defect #9472: The git scm module causes an excess amount... Closed 2011-10-26

Associated revisions

Revision 5644 - 2011-05-05 01:38 - Toshi MARUYAMA

scm: git: add comments of revision order in fetch_changesets().

Related issues.

#5357, #6013, #7146, #4773, #4547, #1406, #3449, #3567.

Revision 5660 - 2011-05-06 04:06 - Toshi MARUYAMA

scm: git: split unit adapter revisions test to with time or not (#7146, #6013).
Revision 5788 - 2011-05-13 12:38 - Toshi MARUYAMA

scm: git: fix fetching 7 days problem (#7146, #6013).

Revision 8156 - 2011-12-10 12:55 - Toshi MARUYAMA

scm: git: remove unused --since option (#4547, #4716, #7146, #6013)

History

#1 - 2010-08-02 07:28 - Toshi MARUYAMA

As described at http://www.redmine.org/issues/4773#note-8,

redmine read commits from the last 7 days

source:/tags/1.0.0/app/models/repository/git.rb#L50

#2 - 2011-01-18 03:11 - Toshi MARUYAMA

- Category set to SCM

#3 - 2011-02-24 11:44 - Toshi MARUYAMA

- Priority changed from Normal to Low

- Affected version (unused) changed from 1.0.0-RC to 0.9.3

- Affected version set to 0.9.3

#4 - 2011-05-13 12:41 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Fixed in r5788.
